tut::failure Class Reference

Exception to be throwed when ensure() fails or fail() called. More...

`#include <tut.h>`

Inheritance diagram for tut::failure:
[legend]
Collaboration diagram for tut::failure:
[legend]

## Public Member Functions

| failure (const std::string &msg)

## Detailed Description

Exception to be throwed when ensure() fails or fail() called.

## Constructor & Destructor Documentation

## failure()

tut::failure::failure | ( | const std::string & | msg | ) |

inline

The documentation for this class was generated from the following file:

- tut.h